CollectionsHosted PaymentsRefunds

List Hosted Refunds

GET
/v1/hosted-refunds

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Query Parameters

after?string

An object ID used as a cursor in pagination. If a list request returns 100 objects ending with obj_0KSEVXZ2ZF0AV, a subsequent call can include after=obj_0KSEVXZ2ZF0AV to fetch the next page of the list.

limit?integer

A limit on the number of objects to be returned, between 1 and 100.

Formatint32
order?string

Sort list objects in either ascending or descending order.

Value in

  • "ASC"
  • "DESC"

Response Body

*/*

application/json

application/json

curl -X GET "https://example.com/v1/hosted-refunds"

One page of refunds.

{  "data": [    {      "id": "hrfnd_0J7QA2M8V5X1K",      "status": "SUCCEEDED",      "amount": 420,      "currency": "SGD",      "hostedPaymentId": "hpymt_0J7Q9A2M8V5X1",      "referenceId": "RFND-10042",      "createdAt": "2026-09-09T06:44:34.233697Z",      "updatedAt": "2026-09-09T06:44:36.353554Z"    }  ],  "hasMore": false}